using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Hibernate_StandBy
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void btnHibernate_Click(object sender, EventArgs e)
        {
            // Hibernate
            Application.SetSuspendState(PowerState.Hibernate, true, true);
        }

        private void btnStandBy_Click(object sender, EventArgs e)
        {
            // Standby
            Application.SetSuspendState(PowerState.Suspend, true, true);
        }
    }
}
